%global packname  GenomicFeatures
%global Rvers     3.0.0

Name:             R-%{packname}
Version:          1.32.0
Release:          3%{dist}
Summary:          Tools for making and manipulating transcript centric annotations

License:          Artistic 2.0
URL:              http://bioconductor.org/packages/release/bioc/html/GenomicFeatures.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildArch:        noarch 

BuildRequires:    R-devel >= %{Rvers} tex(latex) R-IRanges R-GenomicRanges R-AnnotationDbi
BuildRequires:    R-DBI R-RSQLite R-Biostrings R-BSgenome R-Biobase R-utils
BuildRequires:    R-RCurl R-rtracklayer R-biomaRt
Requires:         R-core >= %{Rvers} R-IRanges R-GenomicRanges R-AnnotationDbi 
Requires:         R-DBI R-RSQLite R-Biostrings R-BSgenome R-Biobase R-utils
Requires:         R-RCurl R-rtracklayer R-biomaRt

%description
A set of tools and methods for making and manipulating transcript centric 
annotations. With these tools the user can easily download the genomic 
locations of the transcripts, exons and cds of a given organism, from either 
the UCSC Genome Browser or a BioMart database (more sources will be supported 
in the future). This information is then stored in a local database that 
keeps track of the relationship between transcripts, exons, cds and genes. 
Flexible methods are provided for extracting the desired features in a 
convenient format.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
# noarch -> Architecture independent package
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
# Missing Suggests
# %%{_bindir}/R CMD check %%{packname}

%files
%doc %{_datadir}/R/library/GenomicFeatures/html
%doc %{_datadir}/R/library/GenomicFeatures/DESCRIPTION
%doc %{_datadir}/R/library/GenomicFeatures/NEWS
%doc %{_datadir}/R/library/GenomicFeatures/CITATION
%{_datadir}/R/library/GenomicFeatures/doc/
%{_datadir}/R/library/GenomicFeatures/extdata/
%{_datadir}/R/library/GenomicFeatures/script/
%{_datadir}/R/library/GenomicFeatures/txdb-template/
%{_datadir}/R/library/GenomicFeatures/unitTests/
%{_datadir}/R/library/GenomicFeatures/NAMESPACE
%{_datadir}/R/library/GenomicFeatures/Meta
%{_datadir}/R/library/GenomicFeatures/R
%{_datadir}/R/library/GenomicFeatures/INDEX
%{_datadir}/R/library/GenomicFeatures/help

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.32.0-1
- Update to 1.32.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 03 2015 pingou <pingou@pingoured.fr> 1.20.1-1
- Update to version 1.20.1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 pingou <pingou@pingoured.fr> 1.16.2-1
- Update to version 1.16.2

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 27 2014 pingou <pingou@pingoured.fr> 1.14.2-1
- Update to version 1.14.2

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 pingou <pingou@pingoured.fr> 1.12.2-1
- Update to version 1.12.2

* Sun Apr 07 2013 pingou <pingou@pingoured.fr> 1.12.0-1
- Update to version 1.12.0

* Thu Feb 28 2013 pingou <pingou@pingoured.fr> 1.10.2-1
- Update to version 1.10.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 pingou <pingou@pingoured.fr> 1.10.1-1
- Update to version 1.10.1

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Nov  9 2011 Tom Callaway <spot@fedoraproject.org> - 1.6.1-1
- update to 1.6.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jun 27 2010 pingou <pingou@pingoured.fr> 0.0.9-2
- Fix ending of description (missing an etc)
- Add R-IRanges as R and BR

* Sat Jun 05 2010 pingou <pingou@pingoured.fr> 0.0.9-1
- initial package for Fedora
